
from datetime import datetime
import math 


odrv0.axis0.trap_traj.config.accel_limit = 45
odrv0.axis0.trap_traj.config.vel_limit = 35
odrv0.axis0.trap_traj.config.decel_limit = 45
odrv0.axis0.controller.config.pos_gain = 200
odrv0.axis0.controller.config.vel_gain = 0.5
odrv0.axis0.controller.config.vel_integrator_gain = 0.1
odrv0.axis0.controller.config.input_mode = INPUT_MODE_TRAP_TRAJ
odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL
'''
odrv0.axis0.requested_state = AXIS_STATE_IDLE
odrv0.axis0.requested_state = AXIS_STATE_STARTUP_SEQUENCE
odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL
odrv0.vbus_voltage
dump_errors(odrv0)
odrv0.reboot()

exec(open('r2.py').read())
'''

dT = 2000 # samplings intervall us
f = 0.1   # Hz for sinus eksemplet 
periodNoNow = 0
periodNoOld = 0 
while 1 == 1:
    while periodNoNow == periodNoOld:
        tim = datetime.now()
        t = 60*1000000*tim.minute + 1000000*tim.second + tim.microsecond
        periodNoNow = int(t / dT)
    #print(periodNoNow-periodNoOld)    
    periodNoOld = periodNoNow 
      
    y = math.sin(2*math.pi*f*t/1000000.0) / 8 + 0.4
    odrv0.axis0.controller.input_pos = y


