function plotWavOgClick2(clNr, wavInp, sinClickArray, clickArray, cntrArray, xBredde)
    % clNr er startnummer for plot
    % Bredde er utsnitt  i x
    
    close;
    
    fs = 44100;
    
    % Skalerer plots
    wavInp = 0.1*wavInp;        % [-1, 1]
    sinClickArray = 0.1*sinClickArray;    % [0, 1]
    cntrArray = 0.1*cntrArray;  % [-1, 1]
    
    offY4 = 0.7;
    offY3 = 0.5; 
    offY2 = 0.24;
    offY1 = 0.12;
    
    sz = get(0,'ScreenSize');
    h = figure('Name', 'Wav', 'NumberTitle', 'off');
    set(h, 'MenuBar', 'none');
    set(h, 'position', [0 sz(4)-sz(4)/5 sz(3) sz(4)/5]);   
    
    offXsamp = floor(max([fs*clickArray(clNr)/1000 1]));
    
    plot( (offXsamp : offXsamp+xBredde), offY4*(wavInp(offXsamp : offXsamp+xBredde)) );
    plot( (offXsamp : offXsamp+xBredde), offY3*(sinClickArray(offXsamp : offXsamp+xBredde)) );
    plot( (offXsamp : offXsamp+xBredde), offY2*(cntrArray(offXsamp : offXsamp+xBredde, 1)) );
    plot( (offXsamp : offXsamp+xBredde), offY1*(cntrArray(offXsamp : offXsamp+xBredde, 2)) );  
    
    plotClickNr(offXsamp, xBredde, clickArray);
    
    a = gca;
    set(a,'Position',[0.0300 0.05 0.95 0.9]); % venstre bunn høyre høyde
    axis off;
    
end