# Liten motor
odrv0.vbus_voltage
odrv0.axis0.motor.config.current_lim = 50
odrv0.axis0.controller.config.vel_limit = 30
odrv0.axis0.motor.config.calibration_current = 10 
odrv0.config.brake_resistance = 2
odrv0.axis0.motor.config.pole_pairs = 7 #20
odrv0.axis0.motor.config.torque_constant = 8.27/192 # 8.27 / 90
odrv0.axis0.motor.config.motor_type = MOTOR_TYPE_HIGH_CURRENT
odrv0.axis0.encoder.config.cpr = 8192
odrv0.axis0.trap_traj.config.accel_limit = 5
odrv0.axis0.trap_traj.config.vel_limit = 1
odrv0.axis0.trap_traj.config.decel_limit = 5
odrv0.axis0.controller.config.pos_gain = 20
odrv0.axis0.controller.config.vel_gain = 0.166
odrv0.axis0.controller.config.vel_integrator_gain = 0
odrv0.axis0.encoder.config.use_index = True
odrv0.save_configuration()

odrv0.axis0.motor.current_soft_max = 60
odrv0.axis0.motor.current_hard_max = 80



odrv0.axis0.requested_state = AXIS_STATE_FULL_CALIBRATION_SEQUENCE

odrv0.axis0.encoder.config.offset = 0 # i manuelt satt pos, resetter off

odrv0.axis0.trap_traj.config.accel_limit = 45
odrv0.axis0.trap_traj.config.vel_limit = 35 
odrv0.axis0.trap_traj.config.decel_limit = 45
odrv0.axis0.controller.config.pos_gain = 180 # strammhet
odrv0.axis0.controller.config.vel_gain = 0.5 # turn/s
odrv0.axis0.controller.config.vel_integrator_gain = 0.1
odrv0.axis0.controller.config.input_mode = INPUT_MODE_TRAP_TRAJ
odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL
'''
odrv0.axis0.requested_state = AXIS_STATE_FULL_CALIBRATION_SEQUENCE
odrv0.axis0.requested_state = AXIS_STATE_IDLE
odrv0.axis0.requested_state = AXIS_STATE_STARTUP_SEQUENCE
odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL
odrv0.vbus_voltage
dump_errors(odrv0)
odrv0.reboot()

exec(open('r2.py').read())
'''

from datetime import datetime
import time
import math 
import os

kjor()

def kjor():
    odrv0.vbus_voltage
    odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL
    f = open('1.cnt','r')
    lines = f.readlines()
    f.close()
    # os.popen("vlc vidZorg.mp4&")
    os.popen("mplayer -fs vidZorg.mp4&")
    time.sleep(0.8)
    dT = 2000 # samplings intervall us
    f = 0.1   # Hz for sinus eksemplet 
    periodNoNow = 0
    periodNoOld = 0 
    for sampNr in range(1, len(lines)):
        while periodNoNow == periodNoOld:
            tim = datetime.now()
            t = 60*1000000*tim.minute + 1000000*tim.second + tim.microsecond
            periodNoNow = int(t / dT)   
        periodNoOld = periodNoNow 
        s = lines[sampNr].split(":")  
        d = float(s[1])
        y = d / 4.0 + 0.2
        #print(s)
        odrv0.axis0.controller.input_pos = y
    odrv0.axis0.requested_state = AXIS_STATE_IDLE




























